Subject: bug#33566: [PATCH] RE: bug#33566: 26; `group' :type for defcustom

From: Drew Adams <[email-masked]>
Date: Mon, 3 Dec 2018 12:49:39 -0800 (PST)

I think the patch below fixes the code bug.

Someone else can consider fixing the doc bug:

> I think the doc needs to be corrected in (widget)
> Editable Text Fields.  This is not correct/sufficient;
> 
>   *Warning:* In an ‘editable-field’ widget, the ‘%v’
>   escape must be preceded by some other text in the
>   ‘:format’ string (if specified).
> 
> It's not sufficient that just any old text precede
> the `%v'.  There must be a colon, AFAICT.
> 
> It should instead say something like this:
> 
>   *Warning:* In an ‘editable-field’ widget, the `%v'
>   escape must be preceded by a colon (`:') in the
>   `:format' string (if specified).  No tag name need
>   precede the colon, but the colon must be present.
>   (Additional text can follow the colon and precede
>   the `%v'.)
...
> I'd also drop the "*Warning:*", personally, and
> instead say that this is necessary or you get a
> bad format message (or some such).

---

diff -u wid-edit.el wid-edit-2018-12-03a-patched.el
--- wid-edit.el	2018-12-03 12:37:30.626331700 -0800
+++ wid-edit-2018-12-03a-patched.el	2018-12-03 12:43:05.440329000 -0800
@@ -2746,7 +2746,7 @@
   "A widget which groups other widgets inside."
   :convert-widget 'widget-types-convert-widget
   :copy 'widget-types-copy
-  :format "%v"
+  :format ":\n%v"
   :value-create 'widget-group-value-create
   :value-get 'widget-editable-list-value-get
   :default-get 'widget-group-default-get